transactionId (returned when the exchange was created via the API) or externalId (available for every exchange, e.g. in Get Balance History). If both are provided, transactionId takes precedence and externalId is ignored.curl --location 'http://k8s-partnera-partnera-7873f15634-69ebb7c047cac3d1.elb.eu-central-1.amazonaws.com/v1/exchange/details?transactionId=aae447ee-ebe4-4a56-a0ae-c5540846f9a4&externalId=51cc47af-c756-47b6-82c0-acab68609f80' \
--header 'x-api-key: <api-key>'{
"type": "EXCHANGE",
"transactionId": "aae447ee-ebe4-4a56-a0ae-c5540846f9a4",
"externalId": "51cc47af-c756-47b6-82c0-acab68609f80",
"sourceBalanceId": "ea93abc7-389d-4bd6-aeff-2257bfa72683",
"destinationBalanceId": "6d1c19f5-993f-4495-95f2-90b88413eb47",
"status": "SUCCESSFUL",
"sourceAmount": "10",
"destinationAmount": "0.00013417",
"sourceCurrency": "EUR",
"destinationCurrency": "BTC",
"rate": "0.000013417859392927268",
"fee": "0",
"totalDestinationAmount": "0.00013417",
"createdAt": "2026-10-14T09:17:31.624Z",
"updatedAt": "2026-10-14T09:17:31.624Z"
}